List invoices by customer ID
curl --request GET \
--url https://api-beta.pepay.io/api/v1/invoices/customer/{customerId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-beta.pepay.io/api/v1/invoices/customer/{customerId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-beta.pepay.io/api/v1/invoices/customer/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{}
],
"has_more": true
}Merchant
List invoices by customer ID
Retrieve invoices for a specific customer using cursor pagination.
GET
/
api
/
v1
/
invoices
/
customer
/
{customerId}
List invoices by customer ID
Authorizations
merchantApiKeybearerAuth
API key for server-to-server operations (scope=merchant or commerce)
Path Parameters
Customer identifier
Query Parameters
Max number of invoices to return.
Required range:
1 <= x <= 100Cursor (return invoices created before this ID).
Cursor (return invoices created after this ID).
Comma-separated invoice statuses.
Comma-separated invoice types.
Filter by payer wallet address (matches any invoice payment).
Optional; requires payer_wallet_address.
Available options:
ethereum, base, solana, avalanche, ton, bsc, arbitrum, optimism, cardano, sui Filter by network environment.
Available options:
mainnet, devnet Return invoices created on/after this time.
Return invoices created on/before this time.
Comma-separated expansions (latest_payment, payments).
Max payments per invoice when expand includes payments.
Required range:
1 <= x <= 100Was this page helpful?

